Daemon Power

The NetBSD Packages Collection: devel/py-h5py

Brief description of the package:
Python interface to the HDF5 library

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.h5py.org/.

Please note that this package has a modified-bsd license.

The package is located in the "devel/py-h5py" directory. The current source version of the package is "py27-h5py-2.5.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/py-h5py :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-six-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 hdf5>=1.8.7 py27-cython>=0.12.1 py27-numpy>=1.0 g95>=0.91 blas>=1.0nb2 libtool-fortran>=2.4.2nb9 lapack>=3.1.1 blas>=1.0nb3 py27-nose-[0-9]* hdf5>=1.8.11 py27-pkgconfig-[0-9]* pkgconf-[0-9]* py27-nose>=1.0 .

This package requires the following package(s) to run: py27-six-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 hdf5>=1.8.7 py27-cython>=0.12.1 py27-numpy>=1.0 g95>=0.91 blas>=1.0nb2 lapack>=3.1.1 blas>=1.0nb3 hdf5>=1.8.11 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:py27-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py36-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py36-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py36-h5py-2.5.0.tgz(NetBSD 6.0)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py36-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py27-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py34-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py35-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py36-h5py-2.5.0.tgz(NetBSD 6.1)
i386:py27-h5py-2.5.0.tgz(NetBSD 7.0)
i386:py34-h5py-2.5.0.tgz(NetBSD 7.0)
i386:py35-h5py-2.5.0.tgz(NetBSD 7.0)
i386:py36-h5py-2.5.0.tgz(NetBSD 7.0)
powerpc:py27-h5py-2.5.0.tgz(NetBSD 8.0)
powerpc:py34-h5py-2.5.0.tgz(NetBSD 8.0)
powerpc:py35-h5py-2.5.0.tgz(NetBSD 8.0)
powerpc:py36-h5py-2.5.0.tgz(NetBSD 8.0)
sparc64:py27-h5py-2.2.1.tgz(NetBSD 7.0)
sparc64:py27-h5py-2.5.0.tgz(NetBSD 7.0)
sparc64:py33-h5py-2.2.1.tgz(NetBSD 7.0)
sparc64:py33-h5py-2.5.0.tgz(NetBSD 7.0)
sparc64:py34-h5py-2.2.1.tgz(NetBSD 7.0)
sparc64:py34-h5py-2.5.0.tgz(NetBSD 7.0)
sparc64:py35-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 6.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 6.1)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 7.0)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py27-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py34-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py35-h5py-2.5.0.tgz(NetBSD 8.99.1)
x86_64:py36-h5py-2.5.0.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]